unit fMHA_EditGAF;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Mask, RzEdit, RzSpnEdt, ExtCtrls, RzPanel, RzRadGrp, Fmcntrls;

type
  TfrmEditGAF = class(TForm)
    btnCancel: TButton;
    btnOK: TButton;
    rgrpEdit: TRzRadioGroup;
    spnRating: TRzSpinEdit;
    Label1: TLabel;
    procedure btnCancelClick(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure rgrpEditClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmEditGAF: TfrmEditGAF;

implementation

uses
  fMHA_Main,
  rMHA_VISTA;

{$R *.DFM}

procedure TfrmEditGAF.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmEditGAF.btnOKClick(Sender: TObject);
begin
  with frmMain.grdGAFResults do
  begin
    case rgrpEdit.ItemIndex of
      0: begin
           rMHA_VISTA.DeleteGAF(Cells[3, Row]);
         end;
      1: begin
           rMHA_VISTA.ChangeGAFScore(Cells[3, Row],
             spnRating.Text);
         end;
    end; //case
  end; //with grdGAFResults

  frmMain.DisplayPrevGAFs;
  frmMain.GraphGAFData;

  Close;
end;

procedure TfrmEditGAF.FormCreate(Sender: TObject);
begin
  Caption := '  Edit GAF entered on '
    + frmMain.grdGAFResults.Cells[0, frmMain.grdGAFResults.Row];

  Top := frmMain.Top + (frmMain.Height div 2) - (Height div 2);
  Left := frmMain.Left + (frmMain.Width div 2) - (Width div 2);
  btnOK.Enabled := False;
  spnRating.Visible := False;
  spnRating.Text := frmMain.grdGAFResults.Cells[1, frmMain.grdGAFResults.Row];
end;

procedure TfrmEditGAF.rgrpEditClick(Sender: TObject);
begin
  spnRating.Visible := (rgrpEdit.ItemIndex = 1);
  btnOK.Enabled := True;
end;

end.

