unit fMHA_Options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ComCtrls, ExtCtrls, RzPanel, RzRadGrp, EsGrad;

type
  TfrmMHA_Options = class(TForm)
    cmdOK: TButton;
    cmdCancel: TButton;
    rgrpTabOrder: TRzRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure btnOkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMHA_Options: TfrmMHA_Options;

implementation

{$R *.DFM}

Uses fMHA_Main;

procedure TfrmMHA_Options.FormCreate(Sender: TObject);
begin
  // read windows registry
  MHA_Registry.ReadRegistry;
  // Make sure the value is okay, if not leave the radio group empty
  if MHA_Registry.MainTabOrder < 0 then
    rgrpTabOrder.ItemIndex := -1;
  if MHA_Registry.MainTabOrder > 3 then
    rgrpTabOrder.ItemIndex := 4
    else
    rgrpTabOrder.ItemIndex := MHA_Registry.MainTabOrder;

  ShowModal;
end;

procedure TfrmMHA_Options.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMHA_Options.btnOkClick(Sender: TObject);
begin
  MHA_Registry.MainTabOrder := rgrpTabOrder.ItemIndex;
  MHA_Registry.SaveRegistry;

  Close;
end;

end.
